package com.kingdee.eas.custom.dormitorysystem.waterpower;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WaterPowerMeterReadingFactory
{
    private WaterPowerMeterReadingFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("73E5AEEC") ,com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("73E5AEEC") ,com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("73E5AEEC"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerMeterReading)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("73E5AEEC"));
    }
}